require 'spec_helper'

describe MdsFileUtils::ZipSplitter do

  context "#base_file_name" do
    
    it "should return the base name of the path with the extension removed" do
      zipper = MdsFileUtils::ZipSplitter.new("/tmp/path.ext")
      zipper.send(:base_file_name).should == 'path'
    end

    it "should return the base name of the path even if the file has no extension" do
      zipper = MdsFileUtils::ZipSplitter.new("/tmp/path")
      zipper.send(:base_file_name).should == 'path'
    end

    it "should return the base name of the path even if the file has other '.'s in the name" do
      zipper = MdsFileUtils::ZipSplitter.new("/tmp/path.thing1.thing2.ext")
      zipper.send(:base_file_name).should == 'path.thing1.thing2'
    end

  end

  context "#directory_entries" do

    before(:each) do
      @zipper = MdsFileUtils::ZipSplitter.new('/tmp')
    end

    it "should return the entries of a directory without the '.' and '..'" do
      Dir.should_receive(:entries).with('/tmp/a_directory').and_return(['.', '..', 'file1', 'file2'])

      @zipper.send(:directory_entries, '/tmp/a_directory').should == [ 'file1', 'file2' ]
    end

  end


end

